import * as React from "react";
import BaseText from "../../blocks/BaseText";
import { View, Text, Button } from "react-native";

/**
 * This import is used by the Svelte SDK. Do not remove.
 */

export interface ButtonProps {
  attributes?: any;
  text?: string;
}

import { filterAttrs } from "../../helpers";
import { setAttrs } from "../../helpers";

function SubmitButton(props: ButtonProps) {
  return (
    <Button type="submit" {...{}} {...props.attributes}>
      <BaseText>{props.text}</BaseText>
    </Button>
  );
}

export default SubmitButton;
